--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Since to_irc_user runs the same checks on server and channel as to_irc_netmask, we just try that and return self if it works.
- !ruby/struct:SM::Flow::P 
  body: Subclasses of User will return self if possible.
full_name: Irc::User#to_irc_user
is_singleton: false
name: to_irc_user
params: (opts={})
visibility: public
